<?
session_start();
  include("../clases/BDConexion.php");
  include("../clases/clsPer.php");
  include("Funciones.php");
  include("funcion/funciones.php");
  include("stilos/config.inc.php");
  $objPer=new clsPer;
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>Documento sin t&iacute;tulo</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link href="style.css" rel="stylesheet" type="text/css">
<link href="Estilos.css" rel="stylesheet" type="text/css">
<script language="JavaScript"> 
<!--
//sURL,x,y
function Abrir_Ventanapopup1(sURL,x,y) { 
/*var especificaciones="top=0, left=0, toolbar=no,location=no, status=yes,menubar=no,scrollbars=no, resizable=no, width=1,height=1" 
var titulo="Titulo"
window.open(el_url,titulo,especificaciones);*/ 

if (!window.focus) return;
			var par;
			par = "width=" +x + ",height="+y+","
			par = par + "dependent=no,scrollbars=yes,resizable=no"
			par = par + "menubar=no,toolbar=no,status=yes"
			var ventana = window.open(sURL,"Ver",par)
			ventana.focus();
}
//--> 
</script>
</head>

<body bgcolor="<?=$c_fondo['fondo']?>">
<table width="816" border="0" cellspacing="0" cellpadding="0">
  <tr>
  
    <td><div align="left">
      
        <table width="815" border="1" cellspacing="0" cellpadding="0" bordercolor="<?=$bordetabla?>" bgcolor="<?=$c_fondo['fondo tabla']?>" style="<?=$stylo['tabla']?>">
          <tr class="lblCampoBlanco" bgcolor="<?=$c_fondo_tr["fondo tr"]?>">
            <td colspan="7"><div align="left">Detalle de Pasajeros y Tripulantes </div></td>
          </tr>
          <tr class="lblCampoBlanco" bgcolor="<?=$c_fondo_tr["fondo tr"]?>">
            <td width="71">
			<div align="center">Doc/Ident.</div>              
			</td>
            <td width="163"><div align="left">Apellidos</div></td>
            <td width="183"><div align="left">Nombres</div></td>
            <td><div align="center">Empresa</div></td>
            <td width="104"><div align="center">Fecha</div></td>
            <td width="94"><div align="center">Via</div></td>
            <td><div align="center"><a href="cvp_solicitud_pass_detalle.php">VOLVER</a></div></td>
          </tr>
		  <? 
				  $registros = 25;
					$pagina = $_GET["pagina"];
					
					if (!$pagina) { 
						$inicio = 0; 
						$pagina = 1; 
					}else { 
						$inicio = ($pagina - 1) * $registros; 
					} 
					
					if($tipo=="todos"){						
						$resultado=$objPer->getPerTodosPagP($inicio,$registros);						
					}elseif($tipo=="appat_per"){						
						$resultado=$objPer->getPerApePagPagS($des,$tipo,$inicio,$registros);
					}else{
						$resultado=$objPer->getPerApePagPDocS($des,$tipo,$inicio,$registros);
					}
					
					if($tipo=="todos"){
						$resultadot=$objPer->getPerTodosTP();
					}elseif($tipo=="appat_per"){
						$resultadot=$objPer->getPerApeTPerS($des,$tipo);
					}else{
						$resultadot=$objPer->getPerApeTPDocS($des,$tipo);
					}		
								
					$total_registros=$objPer->totalrows($resultadot);
				    $total_paginas = ceil($total_registros / $registros); 		  			

				  if($total_registros) {
                  while($filas=$objPer->NextRow($resultado))
                   {				   
				   $resultados=$objPer->getCodSol($filas['dociden_per']);
				   $filass=$objPer->NextRow($resultados);
				   ?>
				   <form name="form1" method="post" action="enviar_solicitud_cupo.php">
          <tr class="lblCampo">
            <td>
			<div align="left">
            <? echo $filas['dociden_per']; ?>			</div>
            </td>
            <td><div align="left"><?php echo strtoupper($filas['appat_per']); ?> <?php echo strtoupper($filas['apmat_per']); ?></div></td>
            <td>
              <div align="left"><?php echo strtoupper($filas['nom_per']); ?>/<? echo $filass['cod_soli']?></div></td>
            <td width="118">
              <div align="center"><span class="lblForm"><?php echo $filas['razon_emp']; ?>
                  <input name="cod_soli" type="hidden" id="cod_soli" value="<? echo $filass['cod_soli']?>">
                  <input name="dociden" type="hidden" size="3" id="dociden" value="<? echo $filas['dociden_per']?>">
              </span></div></td>
            <td><div align="center">
			<input name="fechasoli" type="text" id="fechasoli" title="FORMATO DE FECHA dd/mm/YY" value="<? echo extraerfechanormal($filass['fechasoli'])?>" size="11" maxlength="10">
            </div></td>
            <td><div align="center">
              <select name="viasoli" id="viasoli">
                <option value="AEREA" <? if($filass['viasoli']=='AEREA'){?> selected<? }?>>AEREA</option>
                <option value="FLUVIAL" <? if($filass['viasoli']=='FLUVIAL'){?> selected<? }?>>FLUVIAL</option>
              </select>
            </div></td>
            <td width="66"><input name="Submit22" type="submit" style="<?=$stylo['st2']?>" class="botira" value="&gt;&gt;&gt;" >              </td>
          </tr>
         </form> 
         <? 
			}
			$objPer->Liberar($resultado); 
		} 
			?>
        
			
        </table>
     
        </div></td>
    
  </tr>
  <tr class="lblCampo">
    <td><div align="left">
      <table width="811" border="0" cellspacing="0" cellpadding="0">
        <tr class="lblCampo">
          <td>&nbsp;</td>
          <td>&nbsp;</td>
          <td>&nbsp;</td>
        </tr>
		
        <tr class="lblCampo">
          <td width="292"><div align="left"><span class="lblForm">Pagina <? echo ($pagina);?> de <? echo $total_paginas;?> </span></div></td>
          <td width="248">&nbsp;</td>
          <td width="271"><div align="right"></div></td>
        </tr>
        <tr class="lblCampo">
          <td colspan="3"><div align="center">
            <? 
				if($des!=""){
				if($total_registros) {
		
		echo "<center>";
		
		if(($pagina - 1) > 0) {
			echo "<a href='cvp_cons_per.php?pagina=".($pagina-1)."&tipo=$tipo&des=$des'>< Anterior</a> ";
		}
		
		for ($i=1; $i<=$total_paginas; $i++){ 
			if ($pagina == $i) {
				echo "<b>".$pagina."</b> "; 
			} else {
				echo "<a href='cvp_cons_per.php?pagina=$i&tipo=$tipo&des=$des'>$i</a> "; 
			}	
		}
	  
		if(($pagina + 1)<=$total_paginas) {
			echo " <a href='cvp_cons_per.php?pagina=".($pagina+1)."&tipo=$tipo&des=$des'>Siguiente ></a>";
		}
		
		echo "</center>";
		
	}
	}
	?>
		  
	
		  </div></td>
          </tr>
		  
      </table>
    </div></td>
  </tr>
  
  
</table>
</body>
</html>
